import React from "react";
import { BrowserRouter, Route, Routes } from "react-router-dom";
import UserLayout from "./components/UserLayout";
import BookingForm from "./pages/BookingForm";
import BookingSignOut from "./pages/BookingSignOut";
import BookingSignOutSuccess from "./pages/BookingSignOutSuccess";
import BookingSuccessful from "./pages/BookingSuccessful";
import Home from "./pages/Home";
import StaffLogin from "./pages/StaffLogin"

function Router() {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<UserLayout />}>
          {/* Home page (user) */}
          <Route index element={<Home />} />
          {/* Book a boat (user) */}
          <Route path="book">
            <Route index element={<BookingForm />} />
            {/* After booking (user) */}
            <Route path="success" element={<BookingSuccessful />} />
          </Route>
          <Route path="login">
            <Route index element={<StaffLogin />} />
          </Route>
          {/* Sign out (user) */}
          <Route path="signout">
            <Route path=":id" element={<BookingSignOut />} />
            {/* After Sign out (user) */}
            <Route path="success" element={<BookingSignOutSuccess />} />
          </Route>
        </Route>
      </Routes>
    </BrowserRouter>
  );
}

export default Router;
